Package oracle.dbtools.plugin.api.security.annotations

## Enum TransportPolicy

- java.lang.Object
- - java.lang.Enum<TransportPolicy>
  - - oracle.dbtools.plugin.api.security.annotations.TransportPolicy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TransportPolicy>`

      public enum TransportPolicy
      extends java.lang.Enum<TransportPolicy>

  Defines what transport level security must be used
  Author:
    cdivilly

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANY` | Any transport (e.g.
    `SECURE` | Only a secure transport (e.g.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TransportPolicy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TransportPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final TransportPolicy ANY

      Any transport (e.g. HTTP or HTTPS) may be used.

    - #### SECURE

          public static final TransportPolicy SECURE

      Only a secure transport (e.g. HTTPS) may be used.

  - ### Method Detail

    - #### values

          public static TransportPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransportPolicy c : TransportPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransportPolicy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null